%define prefix /usr
%define name lxdpms
%define version 0.1.4
%define release %mkrel 1
%define url http://www.pclinuxos.com/forum/index.php/board,76.0.html

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		%{url}
Source:		%{name}.tar.xz
Summary:	Toggle Energy Star off
Summary(de):	Schalte Energy Star aus
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	xset, yad
Obsoletes:	%name < %version
BuildArch:	noarch

%description
Toggle Energy Star off.
It makes sense when watching movies.

#german
%description -l de
Schalte Energy Star (Energiesparmodus) aus.
Sinnvoll beim anschauen von Filmen.  

%prep

%setup -q -n %{name}


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir} 

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Toggle Energy Star off
Comment[de]=Schaltet den Energiesparmodus aus
Exec=%{_bindir}/%{name}
Icon=lxdpms-on.png
Terminal=false
Type=Application
Categories=Application;X-MandrivaLinux-System-Configuration-Hardware
Encoding=UTF-8
EOF

mkdir -p %{buildroot}%{_iconsdir}
install -m 0644 *.png %{buildroot}%{_iconsdir}/

mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}/languages/%{name}-de_DE.po


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_iconsdir}/*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat Jun 27 2015 daniel <meisssw01 at gmail.com> 0.1.4-1pclos2015
- fit script

* Fri Feb 03 2012 Neal <nealbrks0 at gmail dot com> 0.1.3-1pclos2012
- process

* Tue Jan 17 2012 leiche <meisssw01 at gmail.com> 0.1.3-1leiche2012
- add dialog for real status

* Thu Jan 12 2012 leiche <meisssw01 at gmail.com> 0.1.2-2leiche2012
- change source code, for handle
  autostart function

* Sun Jan 01 2012 leiche <meisssw01 at gmail.com> 0.1.2-1leiche2012
- add left click menu
- add own icons, created by Neal Brooks

* Thu Dec 29 2011 leiche <meisssw01 at gmail.com> 0.1.1-1leiche2011
- add display, when energy star is disabled (request from Neal)

* Wed Dec 28 2011 leiche <meisssw01 at gmail.com> 0.1.0-1leiche2011
- initial package
